package com.tzld.piaoquan.risk.control.model.qywx;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class RoomMemberListInfo {
    @JSONField(name = "room_id")
    private String roomId;

    @JSONField(name = "create_user_id")
    private Long createUserId;

    @JSONField(name = "flag")
    private Long flag;

    @JSONField(name = "verdata")
    private String verdata;

    @JSONField(name = "create_time")
    private Long createTime;

    @JSONField(name = "notice_content")
    private String noticeContent;

    @JSONField(name = "total")
    private Integer total;

    @JSONField(name = "notice_sendervid")
    private Long noticeSendervid;

    @JSONField(name = "anti_spam_rules")
    private List<?> antiSpamRules; // 根据实际规则类型替换

    @JSONField(name = "nickname")
    private String nickname;

    @JSONField(name = "member_list")
    private List<Member> memberList;

    @JSONField(name = "new_flag")
    private Integer newFlag;

    @JSONField(name = "notice_time")
    private Long noticeTime;

    @JSONField(name = "managers")
    private List<?> managers; // 根据实际管理员类型替换

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Member {
        @JSONField(name = "unionid")
        private String unionid;

        @JSONField(name = "flag")
        private Long flag;

        @JSONField(name = "create_time")
        private Long createTime;

        @JSONField(name = "sex")
        private Integer sex;

        @JSONField(name = "mobile")
        private String mobile;

        @JSONField(name = "acctid")
        private String acctid;

        @JSONField(name = "member_flag")
        private Integer memberFlag;

        @JSONField(name = "join_scene")
        private Integer joinScene;

        @JSONField(name = "avatar")
        private String avatar;

        @JSONField(name = "english_name")
        private String englishName;

        @JSONField(name = "realname")
        private String realname;

        @JSONField(name = "room_notes")
        private String roomNotes;

        @JSONField(name = "jointime")
        private Long jointime;

        @JSONField(name = "nickname")
        private String nickname;

        @JSONField(name = "room_nickname")
        private String roomNickname;

        @JSONField(name = "new_flag")
        private Long newFlag;

        @JSONField(name = "position")
        private String position;

        @JSONField(name = "uin")
        private Long uin;

        @JSONField(name = "invite_user_id")
        private Long inviteUserId;

        @JSONField(name = "corp_id")
        private Long corpId;
    }
}