package com.tzld.piaoquan.risk.control.service.rule;

import lombok.Getter;

import java.util.Map;

/**
 * 括号
 *
 * @author supeng
 */
@Getter
public class Parenthesis implements Expression {
    private final Expression expr;

    public Parenthesis(Expression expr) {
        this.expr = expr;
    }

    @Override
    public boolean evaluate(Map<String, Double> context) {
        return expr.evaluate(context);
    }
}
